Commit ffd06d67 authored by Mattias Ellert's avatar Mattias Ellert

Remove usage statistics collection support

Use .maintscript file for dpkg-maintscript-helper
parent 979ac94b
myproxy (6.2.4-1) unstable; urgency=medium
* Remove usage statistics collection support
* Use .maintscript file for dpkg-maintscript-helper
-- Mattias Ellert <mattias.ellert@physics.uu.se> Wed, 27 Feb 2019 20:01:02 +0100
myproxy (6.2.3-1) unstable; urgency=medium
* Switch upstream to Grid Community Toolkit
......
Source: myproxy
Priority: optional
Maintainer: Mattias Ellert <mattias.ellert@physics.uu.se>
Build-Depends: debhelper (>= 9), dh-autoreconf, pkg-config, libglobus-common-dev (>= 14), libglobus-usage-dev (>= 3), libglobus-gssapi-gsi-dev (>= 9), libglobus-gss-assist-dev (>= 8), libglobus-gsi-sysconfig-dev (>= 5), libglobus-gsi-cert-utils-dev (>= 8), libglobus-gsi-proxy-core-dev (>= 6), libglobus-gsi-credential-dev (>= 5), libglobus-gsi-callback-dev (>= 4), libpam0g-dev, libldap2-dev, libkrb5-dev, voms-dev, libsasl2-dev, libbsd-dev, globus-proxy-utils, globus-gsi-cert-utils-progs, voms-clients, procps
Standards-Version: 4.2.1
Build-Depends: debhelper (>= 9), dh-autoreconf, pkg-config, libglobus-common-dev (>= 14), libglobus-gssapi-gsi-dev (>= 9), libglobus-gss-assist-dev (>= 8), libglobus-gsi-sysconfig-dev (>= 5), libglobus-gsi-cert-utils-dev (>= 8), libglobus-gsi-proxy-core-dev (>= 6), libglobus-gsi-credential-dev (>= 5), libglobus-gsi-callback-dev (>= 4), libpam0g-dev, libldap2-dev, libkrb5-dev, voms-dev, libsasl2-dev, libbsd-dev, globus-proxy-utils, globus-gsi-cert-utils-progs, voms-clients, procps
Standards-Version: 4.3.0
Section: net
Vcs-Browser: https://salsa.debian.org/ellert/myproxy
Vcs-Git: https://salsa.debian.org/ellert/myproxy.git
......@@ -57,7 +57,7 @@ Package: libmyproxy-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libmyproxy6 (= ${binary:Version}), libglobus-common-dev (>= 14), libglobus-usage-dev (>= 3), libglobus-gssapi-gsi-dev (>= 9), libglobus-gss-assist-dev (>= 8), libglobus-gsi-sysconfig-dev (>= 5), libglobus-gsi-cert-utils-dev (>= 8), libglobus-gsi-proxy-core-dev (>= 6), libglobus-gsi-credential-dev (>= 5), libglobus-gsi-callback-dev (>= 4), ${misc:Depends}
Depends: libmyproxy6 (= ${binary:Version}), libglobus-common-dev (>= 14), libglobus-gssapi-gsi-dev (>= 9), libglobus-gss-assist-dev (>= 8), libglobus-gsi-sysconfig-dev (>= 5), libglobus-gsi-cert-utils-dev (>= 8), libglobus-gsi-proxy-core-dev (>= 6), libglobus-gsi-credential-dev (>= 5), libglobus-gsi-callback-dev (>= 4), ${misc:Depends}
Suggests: libmyproxy-doc (= ${source:Version})
Description: Credential Management Service Development
MyProxy is open source software for managing X.509 Public Key Infrastructure
......
......@@ -4,11 +4,12 @@ Upstream-Contact:
MyProxy Team
National Center for Supercomputing Applications
University of Illinois
Source: https://repo.gridcf.org/gct6/sources/myproxy-6.2.3.tar.gz
Source: https://repo.gridcf.org/gct6/sources/myproxy-6.2.4.tar.gz
Files: *
Copyright:
2000-2018 The Board of Trustees of the University of Illinois.
2018-2019 Grid Community Forum
All rights reserved.
License: NCSA
Permission is hereby granted, free of charge, to any person obtaining
......@@ -119,11 +120,6 @@ Copyright:
2007-2008 James A. Kupsch
License: Apache-2.0
Files: myproxy_usage.[ch]
Copyright:
1999-2006 University of Chicago
License: Apache-2.0
Files: pidfile.c
Copyright:
2005 Pawel Jakub Dawidek <pjd@FreeBSD.org>. All rights reserved.
......@@ -151,7 +147,7 @@ License: BSD-2-clause
Files: debian/*
Copyright:
2011-2018 Mattias Ellert <mattias.ellert@physics.uu.se>
2011-2019 Mattias Ellert <mattias.ellert@physics.uu.se>
License: Apache-2.0
License: Apache-2.0
......
symlink_to_dir /usr/share/doc/libmyproxy-doc libmyproxy-dev 6.0-2~ libmyproxy-doc
#!/bin/sh
set -e
#DEBHELPER#
dpkg-maintscript-helper symlink_to_dir \
/usr/share/doc/libmyproxy-doc \
libmyproxy-dev 6.0-2~ \
libmyproxy-doc -- "$@"
#!/bin/sh
set -e
#DEBHELPER#
dpkg-maintscript-helper symlink_to_dir \
/usr/share/doc/libmyproxy-doc \
libmyproxy-dev 6.0-2~ \
libmyproxy-doc -- "$@"
#!/bin/sh
set -e
#DEBHELPER#
dpkg-maintscript-helper symlink_to_dir \
/usr/share/doc/libmyproxy-doc \
libmyproxy-dev 6.0-2~ \
libmyproxy-doc -- "$@"
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment